# DataExchange
TKSTEP209
StepElement

# StepElement_SurfaceSection Class Reference

Representation of STEP entity SurfaceSection
.

`#include <StepElement_SurfaceSection.hxx>`

Inheritance diagram for StepElement_SurfaceSection:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_SurfaceSection ()
| Empty constructor .
Standard_EXPORT void | Init (const StepElement_MeasureOrUnspecifiedValue &aOffset, const StepElement_MeasureOrUnspecifiedValue &aNonStructuralMass, const StepElement_MeasureOrUnspecifiedValue &aNonStructuralMassOffset)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | Offset () const
| Returns field Offset .
Standard_EXPORT void | SetOffset (const StepElement_MeasureOrUnspecifiedValue &Offset)
| Set field Offset .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | NonStructuralMass () const
| Returns field NonStructuralMass .
Standard_EXPORT void | SetNonStructuralMass (const StepElement_MeasureOrUnspecifiedValue &NonStructuralMass)
| Set field NonStructuralMass .
Standard_EXPORT StepElement_MeasureOrUnspecifiedValue | NonStructuralMassOffset () const
| Returns field NonStructuralMassOffset .
Standard_EXPORT void | SetNonStructuralMassOffset (const StepElement_MeasureOrUnspecifiedValue &NonStructuralMassOffset)
| Set field NonStructuralMassOffset .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_MeasureOrUnspecifiedValue | theOffset
StepElement_MeasureOrUnspecifiedValue | theNonStructuralMass
StepElement_MeasureOrUnspecifiedValue | theNonStructuralMassOffset

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_SurfaceSection::StepElement_SurfaceSection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepElement_SurfaceSection::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepElement_UniformSurfaceSection.

Standard_EXPORT void StepElement_SurfaceSection::Init | ( | const StepElement_MeasureOrUnspecifiedValue & | aOffset,
|  | const StepElement_MeasureOrUnspecifiedValue & | aNonStructuralMass,
|  | const StepElement_MeasureOrUnspecifiedValue & | aNonStructuralMassOffset
| ) |

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::NonStructuralMass | ( |  | ) | const

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::NonStructuralMassOffset | ( |  | ) | const

Standard_EXPORT StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::Offset | ( |  | ) | const

Standard_EXPORT void StepElement_SurfaceSection::SetNonStructuralMass | ( | const StepElement_MeasureOrUnspecifiedValue & | NonStructuralMass | ) |

Standard_EXPORT void StepElement_SurfaceSection::SetNonStructuralMassOffset | ( | const StepElement_MeasureOrUnspecifiedValue & | NonStructuralMassOffset | ) |

Standard_EXPORT void StepElement_SurfaceSection::SetOffset | ( | const StepElement_MeasureOrUnspecifiedValue & | Offset | ) |

## Field Documentation

StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::theNonStructuralMass `[private]`

StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::theNonStructuralMassOffset `[private]`

StepElement_MeasureOrUnspecifiedValue StepElement_SurfaceSection::theOffset `[private]`

The documentation for this class was generated from the following file:

- StepElement_SurfaceSection.hxx